Package org.springframework.http.server.reactive

# Class JettyCoreHttpHandlerAdapter

java.lang.Object
org.eclipse.jetty.util.component.AbstractLifeCycle
org.eclipse.jetty.util.component.ContainerLifeCycle
org.eclipse.jetty.server.Handler.Abstract
org.eclipse.jetty.server.Handler.Abstract.NonBlocking
org.springframework.http.server.reactive.JettyCoreHttpHandlerAdapter

All Implemented Interfaces:
  `org.eclipse.jetty.server.Handler`, `org.eclipse.jetty.server.Request.Handler`, `org.eclipse.jetty.util.component.Container`, `org.eclipse.jetty.util.component.Destroyable`, `org.eclipse.jetty.util.component.Dumpable`, `org.eclipse.jetty.util.component.Dumpable.DumpableContainer`, `org.eclipse.jetty.util.component.LifeCycle`, `org.eclipse.jetty.util.thread.Invocable`

public class JettyCoreHttpHandlerAdapter extends org.eclipse.jetty.server.Handler.Abstract.NonBlocking
Adapt `HttpHandler` to the Jetty `Handler` abstraction.

Since:
  6.2
Author:
  Greg Wilkins, Lachlan Roberts, Arjen Poutsma

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jetty.server.Handler.Abstract

`org.eclipse.jetty.server.Handler.Abstract.NonBlocking`

## Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`org.eclipse.jetty.util.component.AbstractLifeCycle.AbstractLifeCycleListener, org.eclipse.jetty.util.component.AbstractLifeCycle.StopException`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Container

`org.eclipse.jetty.util.component.Container.InheritedListener, org.eclipse.jetty.util.component.Container.Listener`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.Dumpable

`org.eclipse.jetty.util.component.Dumpable.DumpableContainer`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Handler

`org.eclipse.jetty.server.Handler.Abstract, org.eclipse.jetty.server.Handler.AbstractContainer, org.eclipse.jetty.server.Handler.Collection, org.eclipse.jetty.server.Handler.Container, org.eclipse.jetty.server.Handler.Sequence, org.eclipse.jetty.server.Handler.Singleton, org.eclipse.jetty.server.Handler.Wrapper`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.thread.Invocable

`org.eclipse.jetty.util.thread.Invocable.Callable, org.eclipse.jetty.util.thread.Invocable.InvocationType, org.eclipse.jetty.util.thread.Invocable.ReadyTask, org.eclipse.jetty.util.thread.Invocable.Task`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`org.eclipse.jetty.util.component.LifeCycle.Listener`

## Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Request.Handler

`org.eclipse.jetty.server.Request.Handler.AbortException`

## Field Summary

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`FAILED, STARTED, STARTING, STOPPED, STOPPING`

### Fields inherited from interface org.eclipse.jetty.util.component.Dumpable

`KEY`

### Fields inherited from interface org.eclipse.jetty.util.thread.Invocable

`__nonBlocking, NOOP`

## Constructor Summary

Constructors
Constructor
Description
`JettyCoreHttpHandlerAdapter(HttpHandler httpHandler)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handle(org.eclipse.jetty.server.Request request, org.eclipse.jetty.server.Response response, org.eclipse.jetty.util.Callback callback)`
`void`
`setDataBufferFactory(org.springframework.core.io.buffer.JettyDataBufferFactory dataBufferFactory)`

### Methods inherited from class org.eclipse.jetty.server.Handler.Abstract

`destroy, doStart, doStop, getInvocationType, getServer, setServer`

### Methods inherited from class org.eclipse.jetty.util.component.ContainerLifeCycle

`addBean, addBean, addEventListener, addManaged, contains, dump, dump, dump, dumpObjects, dumpStdErr, getBean, getBeans, getBeans, getContainedBeans, getContainedBeans, installBean, installBean, isAuto, isManaged, isUnmanaged, manage, removeBean, removeBeans, removeEventListener, setBeans, start, stop, unmanage, updateBean, updateBean, updateBeans, updateBeans`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`getEventListeners, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, setEventListeners, start, stop, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.Container

`getCachedBeans, getEventListeners`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

`dumpSelf`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable.DumpableContainer

`isDumpable`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addEventListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeEventListener, start, stop`

## Constructor Details

### JettyCoreHttpHandlerAdapter

public JettyCoreHttpHandlerAdapter(HttpHandler httpHandler)

## Method Details

### setDataBufferFactory

public void setDataBufferFactory(org.springframework.core.io.buffer.JettyDataBufferFactory dataBufferFactory)

### handle

public boolean handle(org.eclipse.jetty.server.Request request, org.eclipse.jetty.server.Response response, org.eclipse.jetty.util.Callback callback) throws Exception

Throws:
  `Exception`